Bug 1398631 - docker cannot pull any image
Summary: docker cannot pull any image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio Murdaca
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-25 12:34 UTC by Jetchko Jekov
Modified: 2016-11-30 05:29 UTC (History)
13 users (show)

Fixed In Version: docker-1.12.3-10.git7b5044b.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-30 05:29:49 UTC


Attachments (Terms of Use)
output of docker info (1.75 KB, text/plain)
2016-11-25 12:34 UTC, Jetchko Jekov
no flags Details
journal entries of relevant pull request (4.26 KB, text/plain)
2016-11-25 12:36 UTC, Jetchko Jekov
no flags Details
Not cut version of journal (3.20 KB, text/plain)
2016-11-25 12:44 UTC, Jetchko Jekov
no flags Details

Description Jetchko Jekov 2016-11-25 12:34:49 UTC
Created attachment 1224261 [details]
output of docker info

Description of problem:
On Fedora 25 system I cannot pull any image with docker.

Version-Release number of selected component (if applicable):
Docker version 1.12.3, build 47e22f2/1.12.3

How reproducible:
always

Steps to Reproduce:
1. docker pull busybox
2.
3.

Actual results:
command hangs for long time

Expected results:
image gets pulled

Additional info:

Note I am behind proxy.

Comment 1 Jetchko Jekov 2016-11-25 12:36:27 UTC
Created attachment 1224262 [details]
journal entries of relevant pull request

docker daemon is run in debug mode

Comment 2 Jetchko Jekov 2016-11-25 12:44:35 UTC
Created attachment 1224277 [details]
Not cut version of journal

Comment 3 Antonio Murdaca 2016-11-25 13:11:58 UTC
This is fixed by https://github.com/projectatomic/docker/commit/0e5a8b1aca91821971e556fef2fb0e50fcca5470

I'm going to rebuild Docker in F25 but could you try updating Docker on your system again? I did some updates some days ago so they'll be either in stable soon or in updates-testing.

Comment 4 Jetchko Jekov 2016-11-25 13:39:14 UTC
I am testing it in fully updated vagrant box with updates-testing repo enabled.
Problem still persist. 

$rpm -qa | grep docker
docker-common-1.12.3-9.git47e22f2.fc25.x86_64
docker-1.12.3-9.git47e22f2.fc25.x86_64

Comment 5 Fedora Update System 2016-11-25 14:21:08 UTC
docker-1.12.3-10.git7b5044b.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6dff3662e

Comment 6 Jetchko Jekov 2016-11-25 14:59:02 UTC
I have tested generated packages from koji.
This issue is fixed there.

Thanks for the swift reaction :)

Comment 7 Fedora Update System 2016-11-27 22:59:37 UTC
docker-1.12.3-10.git7b5044b.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6dff3662e

Comment 8 Fedora Update System 2016-11-30 05:29:49 UTC
docker-1.12.3-10.git7b5044b.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.